# FlashFloppy

A retro floppy emulator for the ubiquitous Gotek hardware.
- Directly supports a [wide range of image formats][Image-Formats]
- [Flexible track layout][Track-Layouts] for Raw Sector Images
- [Extremely configurable][FF.CFG-Configuration-File]

## Download
- [**Download FlashFloppy**][Downloads]

## Documentation
- [**Read the GitHub Wiki**](https://github.com/keirf/FlashFloppy/wiki)

## Donations

FlashFloppy is a labour of love: working on it takes a **lot** of time
and effort. The development of new features, plus maintenance, bug
fixing, testing, release preparations and so on is a huge undertaking;
and that ignores non-development tasks such as writing documentation
and community management.

If you would like to **support FlashFloppy's development**, please see
the [**Donations page**][Donations].

## Redistribution

Most code is public domain; the rest is MIT/BSD or Open Source friendly
(see the [COPYING](COPYING) file).

The source code, and all binary releases, are freely redistributable
in any form. Because FlashFloppy includes third-party code, you should
include or link to the [COPYING](COPYING) file in any redistribution.

This means, for example, you are free to sell and profit from Gotek
devices programmed with a binary release of FlashFloppy. However **at
a minimum** you should incorporate or link to the [COPYING](COPYING)
file on your selling page. For example:
- FlashFloppy is free software. For more information see the
  [license](COPYING).

[Image-Formats]: https://github.com/keirf/FlashFloppy/wiki/Image-Formats
[Track-Layouts]: https://github.com/keirf/FlashFloppy/wiki/Track-Layouts
[FF.CFG-Configuration-File]: https://github.com/keirf/FlashFloppy/wiki/FF.CFG-Configuration-File
[Downloads]: https://github.com/keirf/FlashFloppy/wiki/Downloads
[Donations]: https://github.com/keirf/FlashFloppy/wiki/Donations
